Introducing Photobie

 Photobie is an Image Editing Software. It has many advance features. you can do multi-layer image editing, advance screen capture, photo frame editing, image directory viewing. Photobie is a .NET windows application, thus a .NET framework 1.0 or higher must be installed before running it.
Photobie is developed by Xuedong Chen, who is currently a Ph. D. candidate at UMass Boston. The developer intends to deliver Photobie as a freeware and is willing to keep updating it with new useful features. Any sponsorship for promoting Photobie will be highly appreciated.
This software may be distributed freely on every electronic or physical media as long as the files are distributed in their entirety.
This software and its accompanying files are provided "as is" and no warranty of any kind, either expressed or implied, including merchantability or fitness for a particular purpose. The entire risk arising out of use or performance of this software remains with you. In no event will author be liable for any incidental or consequential damages arising from the use of, or inability to use, this program.
Thank you for your support, enjoy Photobie!


Manual Intro

 Detailed manual of Photobie. This manual will help you get familiar with Photobie within 10 minutes. Then you can enjoy it.

The Photobie including following features:

  1. Advanced Screen Capture features:
    1. Hotkey setup: support customized hotkey setup up to 8 keys
    2. Capture any shape: square, rectangle, circle, oval and freehand
    3. Capture screen including the cursor: has option to include cursor or not
    4. Capture active window: capture the active window where current cursor is pointing
    5. Capture the scroll window: auto scroll feature enable you to capture the whole scrollable window into one single image
    6. Capture predefined rectangle: predefine capture rectangle area for specific usage
    7. Capture screen to clipboard as well as Photobie image editor: has option to capture to clipboard only or both
    8. Predefine output image size: predefine output image size for specific usage
    9. Export captured image to other program: capture image to temporary bitmap image file and invoke other program
  2. Multi-layer image editing:
    1. Multi-layer management: clone, copy, paste, delete, merge, move backward/forward, set up layer transparent color with RGB tolerance.
    2. Support general paint feature: draw/fill any shapes, write text. The new draw/fill is treated as a new layer so you can easily move and adjust it.
    3. General image editing: select shaped area, copy, cut, paste, paste as new image, erase, zoom, resize, rotate, flip, adjust color brightness/contrast/alpha/gamma/saturation.
    4. Undo support for erase (unlimited step undo), resize, rotate, color adjustment.
    5. Many nice filters as well customizable filter, grayscale, negative.
    6. Finalize current layers to one layer.
  3. File format support:
    1. Bitmap(bmp), TIF,PNG: 32 true color image support.
    2. JPEG(jpg): support different quality compression
    3. GIF(gif): support both low quality 256 color compression and high quality 256 color compression (with transparency).
    4. ICON(ico): support transparent icon file, supports true color 32 bit with multiple bitmap in one icon file with dimensions as (64x64,32x32,16x16)
    5. PHOTOBIE(pob): mulit-layer file format for multi-layer image editing support.
  4. Other advanced features:
    1. Photo frame: create photo frame in three steps, save photo frame to .pob file, apply photo frame in 1 click.
    2. Image directory viewer: integrated image viewer for image directory, support image browsing, multiple directories, full screen image view

All these features are well integrated. You can use screen capture to get your favorite image and edit it directory in Photobie. I often use MS Word to create all sorts of Art font text and capture it to Photobie, then set the transparent color to White for the new layer. Guess what, you can add perfect Art text to any image with Photobie! I do believe you can leverage Photobie for other stuff. More features will come soon, however, your opinions and feedbacks are very important for the Photobie development. Come on, send me an email with a list of your most wanted feature, let's me see what I can do for you. :)


Create, Open and Save an Image file

 Create an Image file:
Click on the first button (new image) on the toolbar, then you will see a dialog box asking for the blank image size in pixels and ask you set the background color. You can enter your preferred size and color background and then click "ok" button. Then you will see a blank image is created in a new panel.
Alternatively, you can click on "File ->> New" menu item to get same result.

Open an Image file:
Click on the second button (open image) on the toolbar, then you will see a open file dialog asking for the path of the image file. The image file format that can be open are JPEG, TIFF, ICON, BMP, PNG, POB (Photobie mulit-layer image editing file). click "ok" button after you located and selected the file. Then you will see an image shown in a new panel. Notice that all image files that are opened won't be affected no matter how you modify the image unless you save them back to original file to overwrite.
Alternatively, you can click on "File ->> Open->>Image" menu item to get same result.

Save an Image file:
Click on the third button (save image) on the toolbar after you done editing and want to save it. Then you will see a save file dialog asking for the path of the image file. The image file format that can be saved are JPEG, TIFF, ICON, BMP, POB(Photobie mulit-layer image editing file). click "ok" button after you located and selected the file. Please remember the path you save the image in case you want to access them later. Notice that there might be some warning if you want to overwrite an existing image.
Alternatively, you can click on "File ->> Save" menu item to get same result. For JPEG file you can select the compression quality. And for Gif file you can save with high quality or low quality, which require you to select from Main menu the option "Setup->>Save high quality Gif file".

Open image directory:
Click "File ->> Open->>Directory Album", the you will have an directory dialog for you select the image directory. As selected the image directory and click open, all the image files within that directory will be opened and loaded to Photobie Image Directory viewer form.

Note: starting from version 1.9, Photobie supports true color icon with transparent color. You can generate icon files with up to three bitmap image in dimensions as 64X64, 32X32, 16X16. Basically you create the icon image as you do for other image with transparent color, then Photobie resize the image to above dimensions and save as an Icon file with up to three bitmap image in it. Photobie does preserve the transparency.

GIF transparency is tricky, if you accidentally set the global transparent color as one of the majority color on your gif image, you won't be able to get the transparent GIF image, instead you will get an GIF image with the global transparent color as the background. The solution is simple, set the global transparent color to a different color from the colors in the GIF image, then Bingo!


How to resize, rotate and flip an image; How to adjust image color

 To zoom an Image:
Click on the Zoom in and Zoom out button on toolbar to resize the image without losing the resolution.

To resize an Image/Layer:
Click on the "Image->>Resize" menu item, then you will see a dialog form asking for the image size in pixels. If you want the the width and height are bounded as original image, you need to check the bounds checkbox. After you click "ok" button. Then you will see a resized image.
Alternatively, you can use Zoom in and Zoom out button on toolbar to resize the image without losing the resolution.

To rotate an image/Layer:
Click on the rotation button (after zoom out button) dropdown mark on the toolbar and select any angle and click, then you see a rotated image. To specify a particular angle you can select the last choice "Specify". Then you will angle adjust form. with a trace bar for you to specify a exact angle. After you click on "ok", you will get a rotated image as you expected.

To flip an image/Layer:
Click on the flip button (after rotation button) dropdown mark on the toolbar and select horizontally or vertically flip. Then you will see a flipped image.

To adjust the color of an image/Layer:
Click on "Image->>Adjust color" menu item. Then you will see a color adjust and balance control panel. With the trace bar you can adjust contrast, gramma, alpha (transparency) and even three RGB components specifically. As you adjust the preview panel show the exact effect on the original image.

To get an grayscale/negative image/Layer:
Click on "Image->>Grayscale/negative" menu item. Then you will get a grayscale or negative image from original one.

To apply fileters to image/Layer:
Click on "Filter->>..." menu item. Then you will get filtered image/layer.


Image selection, copy, cut, paste and edit.

 Select an area on an Image:
Click on the corresponding shape button on the toolbar. The allowable shapes are Square, Rectangle, Circle, Oval and Polygon (actually a freehand), then if you move the mouse within the current photo panel, you will see the cursor is changed into cross shape, which means you can select by drag the mouse.
Once you select area then you can do copy, cut, paste by click on buttons on toolbar. If you want select another area instead of current, then you can just simply redo drag to get new selected area, you can even move your selection to while your mouse is within the selection area. If you want to select different shape you can simply click on any other shape button on the toolbar, then redo drag. If you want to quit the selection, you can simply press the "Esc" key on the top left area of your keyboard or click on "Edit->>cancel select". You will see the cursor turn back to original default.

Note: there is a very primitive magic wander allow you to select mono-colored portion of a image, you can set the RGB tolerance for best selection.

Copy the select area:
Click on the copy button or press "Enter" key after you did the selection. The selected area is copied to the clipboard to be pasted to current application or any other application such as MS Word, Paint that can paste image. Notice that you can keep select other area as you want after you click on the copy. As developer decided that if an image is in selection mode, you can't paste on it unless you press "Esc" or cancel the selection.

Cut the selected area from an image Similar to copy, instead of clicking on copy button, you can cut the current select area by click on the cut button on the toolbar. As you cut you can select the fill color for cut area, just set the color panel in the left tool bar and select the color you wanted.

Paste a selected area to another image:
Just simply switch to the photo panel on which you want the selected area to be pasted and click on paste button on the toolbar. Then you will see the selected area is pasted on current photo panel. Actually, an new layer is created for the pasted image. It can be treated as an layer, thus you have full control of it for move, erase, delete, move backward and forward. Please see Layer management for details.

Paste a selected area as a new image:
Photobie allows you to create a new image with the selected area that is just selected and copied to the clipboard. You can simply click on "Edit->>Paste new" to accomplish this.


Screen capture operation

 Advanced Screen Capture:

As one of the advance feature of Photobie, screen capture become simple, handy and fun.

  1. Hot key setup:
    You can setup up to 8 customized hotkeys by yourself. Hotkey will enable to quick capture the current screen while your are working on other application by simply press few keys. For example, you can set Ctrl+1 as a hotkey for capture the current active window to the Photobie, so when you are browsing an web page, by press Ctrl+1 keys, you can get the browser window image to the clipboard as well as the Photobie image panel for editing.

    The above hot key setup form can be accessed through Photobie main menu "ScreenCapture->>Set screen capture hot keys". As this hot key setup form contains very detailed description. You will learn quick how to setup these hot keys correctly. The first group is set the hot key that you'd like to press. It also include a check box, which allow you to capture the cursor in the screen. The single active window checkbox allows you to capture the active window instead of full screen. The second group allows you to set the predefine area for capture (instead of full screen or active window). The third group allows you to set the shape that you want to draw on the screen so that only the selected area get captured (you need to press Enter or Esc to finish capture or quit capture mode, please see the next section for detail). The fourth group allows you to predefine final output image size. The following checkbox gives you an option to capture image to clipboard only. The final text field allows your to set a program to be invoked after screen capture. Photobie will create a temporary image file and pass the file name to that program.

    Note: Photobie now supports the autoscroll active window capturing. However, it doesn't work very well for Firefox browser. To use autoscroll feature, you just need to check the autoscroll box on above setup form for certain hotkey.
  2. Screen capture with notification icon.
    As you start Photobie application there will be a Photobie icon show on the notification bar on the right bottom of the screen. As you are working with other application, you can right click on the Photobie notification icon. Then you will have option to capture the whole screen or only capture certain shaped area as select. Click on "Capture shapes" option you will have five choice for shapes. Click on one of them then you will get a full screen with cursor becomes a cross icon, which means you can do selection by drag the mouse. Once you release the mouse, there will be a prompt on the right corner ask you press "Esc" to quite capture, or press "Enter" to finish the capture, or press "+" to continue capture on current screenshot with the same shape. The result of the capture operation is that in the Photobie main application panel you will see all those newly create image with the captured selected area. Furthermore the last captured selected area is stored on the clipboard, which means it can be pasted within Photobie or any other applications that allow image paste operation.


Multi

Multi-layer editing:

  1. Select a layer: the simplest way is to double click on the layer on the image directly. In the case that the layer is hidden by other layers, you need to select it from the list box of the Layer manager.
  2. Move the layer: select the current layer and click on the hand button of the toolbar on the left side. Then you can drag the layer to destination position.
  3. Erase the layer: select the current layer and click on the eraser button of the toolbar on the left side. Then you can erase the layer by drag the mouse or left click. Note: you can apply unlimited undo for erasing.
  4. Add a layer: the new layer is generally added through paste, draw/fill shapes, write text. In fact, every draw/fill action starting from mouse down until mouse release are considered a new layer. This feature allows you the flexible control over last action.
  5. Delete a layer: select the layer and click the "delete" button on the layer manager.
  6. Move layer back/front: select the layer and click the up and down buttons on the layer manager.
  7. Adjust layer property: there is a layer property control on the Layer manager, you can modify the property as you wish. Most important property is the Transparent color, with this advance feature you can adjust the layer transparency. Along with that are the RGB tolerances. You can adjust those property to get the perfect effect. You can create professional image with these features. You can also hide the property by click on the property button on the layer manager tool bar.
  8. Clone the layer on current image: simply click on the clone button on the layer manager tool bar. The original layers are not deleted automatically, you can delete them if you don't need them
  9. Copy the layer to Photobie global layer clipboard: simply click on the copy button on the layer manager tool bar. The layer get copied to the global clipboard which can be pasted to any image panel in Photobie.
  10. Paste the layer to current image: simply click on the paste button on the layer manager toolbar, the previous copied image get paste.
  11. Set customized layer transparent color: most tricky feature, if you want to set the layer transparent color to certain specific color that isn't available from standard color palette, you use the color picker on the left toolbar to pick up a color in the image and set the color label to that color, then simply click on the import transparent color button on the layer manager tool bar. Bingo!

Also there is global transparent color. When you create new layer by paste non-rectangle shaped image area or draw/fill shape, the surrounding area are filled with the global transparent color. You do have option to set different global transparent color by click on the color button on the top toolbar.


Image Directory Viewer

Photobie provide convenient image viewer. You can open an image directory and browse the image simply through arrow keys. You can open as many image directories and switch between them easily. Furthermore, you can zoom in/out the image, you can invoke the Photobie image editing for current image by simply pressing the "Enter" key, you can set the background color, you can make full screen view with which you can press "=" to zoom in; press "-" to zoom out; and press "Esc" key to go back to normal viewer. Here is a screen capture of the image viewer:

Furthermore, Photobie now support batch image resize and rotate, simply select all the images that you want to resize/rotate and click on the resize/rotate button on the tool bar, then fill in the size/angle in the text field, then click on on the button next to the text field. Bingo. In some case, you may have modified the image in the directory through the Photobie editor, then you want to refresh it by click on the refresh button.


How to create Photo frame and apply photo frame to your photos

 How to create Photo frame and apply photo frame to your photos?

Now let me show you how you can create a Photo Frame and how apply it to your photos.

Step 1: find a best image that can be used as a Frame (Trick, from google image use keyword "frame". Then you will get many candidate frame images) Here is the image I got: JOYO

Step 2: Download it (or simply capture it to Photobie using Photobie screen capture feature) See screenshot.

Step 3: Make frame by click on Menu->Frame->make current image as picture frame See screen shot., then you will see a new photo panel created in Photobie. It actually consists two layers (background layer is in green color, layer 1 is the image you captured. )See screenshot

Step 4: Edit frame by set up the front layer's transparent color. In my sample we can use the layerManager in right side of Photobie window (see screenshot ) to set the transparent color (TPColor) as white and set tolerance (TPRangeBlue/Green/Red) to appropriate value see screenshot. You might need to adjust the color and tolerance several times to get the perfect effect.

Step 5: Save frame to .pob file see screenshot

Step 6: Open the photo you want to be framed see screenshot 1. see screenshot 2

Step 7: Apply frame by click on Menu->Frame->apply a picture frame to current image see screenshot, and select the .pob file that you just saved. see screenshot. Then you will see the new Photo panel with current image as the middle layer. see screenshot, you need to drag that layer to the appropriate place.

Step 8: Save the framed pictured as .jpg or .pob file. If you save it as .pob file, you can retouch it easily later. see screenshot

Step 9: Open saved frame picture which is saved as .jpg or .pob format. All done. Here is the my final image screenshot, actual image saveFramedPhoto.jpg Now you can apply the frame to more pictures. Then it is really simple process maybe two clicks away. Some time you may want to adjust the image size first before apply the frame.

Have fun and enjoy it


Contact Information

 Contact Information:
Product email: photobie@yahoo.com
Product website: http://www.photobie.com